1. Login / Sign Up flow .
2. Category filter controllers :- Grocery , fruits& Vegetables , meat 
3. common Search controller
4. list filter items from common search/ Category tabs
5. Add products to cart 
6. Update cart/ delete cart 
7. address checkout 
8. payment
9. confirmation payment 






 
